Bug 65295 - FILESAVE: DOCX Export - formatted text-box changes appearance & location
Summary: FILESAVE: DOCX Export - formatted text-box changes appearance & location
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: BSA target:4.2.0
Keywords: filter:docx
Depends on:
Blocks:
 
Reported: 2013-06-03 11:38 UTC by Adam CloudOn
Modified: 2015-12-17 04:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX containing the formatted text-box (14.90 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-06-03 11:38 UTC, Adam CloudOn
Details
Screenshot Comparison (63.37 KB, image/png)
2013-09-20 14:55 UTC, Adam CloudOn
Details
DOCX exported from LO (4.32 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-20 15:21 UTC, Adam CloudOn
Details
Comparison original left, roundtripped right (64.78 KB, image/png)
2014-07-19 12:54 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-06-03 11:38:42 UTC
Created attachment 80219 [details]
DOCX containing the formatted text-box

Problem description: 
Loading a DOCX with a formatted text-box in LO, and then saving as a NEW.DOCX and opening in Word shows that the formatted text-box was lost and turned into normal text.

Steps to reproduce:
1. Load the attached DOCX in LO
2. Save as NEW.DOCX
3. Open NEW.DOCX in Word
4. The formatted text-box was turned to normal text

Current behavior:
Exporting to a NEW.DOCX turns the formatted text-box to normal text (data loss).

Expected behavior:
Exporting to a NEW.DOCX should keep the formatted text-box.
              
Operating System: Windows 8
Version: 4.0.3.3 release
Comment 1 Jorendc 2013-06-03 15:23:53 UTC
I can confirm this using Mac OSX 10.8.3 with LibreOffice 4.0.4.1 RC1, in combination of Word for Mac 2011
Comment 2 Adam CloudOn 2013-07-01 07:41:32 UTC
This is now partially fixed.
when saving as DOCX:

1) the location of the text-box is different
2) it is changed from a 'Drawing Tool' to a 'Text-Box'.
3) it looks slightly different (no white border around it and no shadow)
Comment 3 Adam CloudOn 2013-09-20 14:12:08 UTC
This is now partially fixed.
when saving as DOCX:

1) the location of the text-box is different
2) it is changed from a 'Drawing Tool' to a 'Text-Box'.
3) missing white border around the text-box
4) missing shadow
5) gradient color is in wrong direction
6) word-wrapping inside text-box not identical to original
Comment 4 Adam CloudOn 2013-09-20 14:55:27 UTC
Created attachment 86182 [details]
Screenshot Comparison
Comment 5 Adam CloudOn 2013-09-20 15:21:23 UTC
Created attachment 86188 [details]
DOCX exported from LO
Comment 6 Commit Notification 2013-10-05 10:40:56 UTC
Siqi LIU committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a96bc0c0eda8aff6c165bb6a79eb95f2926bb10

fix for fdo#65295, gradient issue



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-10-06 20:28:12 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a1808a6f74a4659c541eb9d499bede0f7587bfb

Revert "fix for fdo#65295, gradient issue"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-11-14 14:47:33 UTC
Adam Co committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b0cb789f8ddd87c92216e3e9520f88d3ad9115d

fdo#65295 : swap gradient text-box colors only in case of axis



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-11-14 15:14:02 UTC
Adam Co committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea4d69f5e81d7109ba06dd68252c9e92233c0ab4

fdo#65295 - fix gradient focus issue



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-11-14 15:38:31 UTC
Adam Co committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1a466b8a3bc178436b41351dd277840872764446

fdo#65295 - add export of text-box gradient fill angle



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Jorendc 2014-07-19 12:52:57 UTC
Looks fixed to me, tested using Windows 8.1 with LibreOffice Version: 4.4.0.0.alpha0+
Build ID: eddd7646d672ea9b0561dacb09da224d098e531e
TinderBox: Win-x86@39, Branch:master, Time: 2014-07-18_06:42:50

(In reply to comment #3)
> This is now partially fixed.
> when saving as DOCX:
> 
> 1) the location of the text-box is different
Fixed.

> 2) it is changed from a 'Drawing Tool' to a 'Text-Box'.
Not sure how to test this one?

> 3) missing white border around the text-box
Fixed

> 4) missing shadow
Fixed

> 5) gradient color is in wrong direction
Fixed

> 6) word-wrapping inside text-box not identical to original
Fixed (both square).
Comment 12 Jorendc 2014-07-19 12:54:45 UTC
Created attachment 103103 [details]
Comparison original left, roundtripped right
Comment 13 Jorendc 2014-07-19 12:56:26 UTC
(In reply to comment #11)

> > 2) it is changed from a 'Drawing Tool' to a 'Text-Box'.
> Not sure how to test this one?
Looks fixed too. I did open your attached roundtripped file and it does have another selection-behavior. Now you can select shape-related tools. So I guess that's Drawing Tool
Comment 14 Adam CloudOn 2014-07-20 10:55:55 UTC
(In reply to comment #13)
> (In reply to comment #11)
> 
> > > 2) it is changed from a 'Drawing Tool' to a 'Text-Box'.
> > Not sure how to test this one?
> Looks fixed too. I did open your attached roundtripped file and it does have
> another selection-behavior. Now you can select shape-related tools. So I
> guess that's Drawing Tool

Indeed that is  =)
Comment 15 Robinson Tryon (qubit) 2015-12-17 04:34:38 UTC
Migrating Whiteboard tags to Keywords: (filter:docx)
[NinjaEdit]